package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$15 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var7 = SECNamedCurves.access$0("01FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF");
      BigInteger var1 = SECNamedCurves.access$0("01FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFC");
      BigInteger var2 = SECNamedCurves.access$0("0051953EB9618E1C9A1F929A21A0B68540EEA2DA725B99B315F3B8B489918EF109E156193951EC7E937B1652C0BD3BB1BF073573DF883D2C34F1EF451FD46B503F00");
      byte[] var3 = Hex.decode("D09E8800291CB85396CC6717393284AAA0DA64BA");
      BigInteger var4 = SECNamedCurves.access$0("01FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFA51868783BF2F966B7FCC0148F709A5D03BB5C9B8899C47AEBB6FB71E91386409");
      BigInteger var5 = BigInteger.valueOf(1L);
      ECCurve.Fp var6;
      ECCurve.Fp var10000 = var6 = new ECCurve.Fp;
      var10000.<init>(var7, var1, var2);
      ECPoint var8 = var10000.decodePoint(Hex.decode("0400C6858E06B70404E9CD9E3ECB662395B4429C648139053FB521F828AF606B4D3DBAA14B5E77EFE75928FE1DC127A2FFA8DE3348B3C1856A429BF97E7E31C2E5BD66011839296A789A3BC0045C8A5FB42C7D1BD998F54449579B446817AFBD17273E662C97EE72995EF42640C550B9013FAD0761353C7086A272C24088BE94769FD16650"));
      return new X9ECParameters(var6, var8, var4, var5, var3);
   }
}
